GridProvider
Combined provider for application-wide grid configuration.
This component wraps both GridTypeProvider and GridIconProvider to reduce
nesting in your component tree. All props are optional - only provide what you need.
const GridProvider: FC<GridProviderProps>Example
Section titled “Example”// App.tsx or main.tsximport { GridProvider } from '@toolbox-web/grid-react';
const typeDefaults = { country: { renderer: (ctx) => <CountryBadge value={ctx.value} /> }, status: { renderer: (ctx) => <StatusBadge value={ctx.value} /> },};
const icons = { expand: '➕', collapse: '➖',};
function App() { return ( <GridProvider defaults={typeDefaults} icons={icons}> <Dashboard /> </GridProvider> );}

Skip to content

GridProvider

Since v0.1.0

Combined provider for type defaults and icons.

const GridProvider: DefineComponent<ExtractPropTypes<{ typeDefaults: { type: PropType<TypeDefaultsMap>; default: undefined }; icons: { type: PropType<Partial<GridIcons>>; default: undefined } }>, () => VNode<RendererNode, RendererElement, object> | VNode<RendererNode, RendererElement, object>[] | undefined, object, object, object, ComponentOptionsMixin, ComponentOptionsMixin, object, string, PublicProps, ToResolvedProps<ExtractPropTypes<{ typeDefaults: { type: PropType<TypeDefaultsMap>; default: undefined }; icons: { type: PropType<Partial<GridIcons>>; default: undefined } }>, object>, { typeDefaults: TypeDefaultsMap; icons: Partial<GridIcons> }, object, object, object, string, ComponentProvideOptions, true, object, any>
<script setup>
import { GridProvider, type TypeDefaultsMap } from '@toolbox-web/grid-vue';
import { h } from 'vue';
const typeDefaults: TypeDefaultsMap = {
country: { renderer: (ctx) => h('span', ctx.value) },
};
const icons = { sortAsc: '', sortDesc: '' };
</script>
<template>
<GridProvider :typeDefaults="typeDefaults" :icons="icons">
<App />
</GridProvider>
</template>